
From: Adrian Bunk <bunk@stusta.de>

I like the idea of this patch, but it brings to more drivers to a violation
of the "if you select something, you have to ensure that the dependencies
of what you select are fulfilled" rule causing link errors with invalid
.config's.

This patch (on top of your patch) fixes this problem.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Bodo Eggert <7eggert@gmx.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/isa/Kconfig |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff -puN sound/isa/Kconfig~use-select-in-sound-isa-kconfig-fix sound/isa/Kconfig
--- devel/sound/isa/Kconfig~use-select-in-sound-isa-kconfig-fix	2005-07-25 19:58:08.000000000 -0700
+++ devel-akpm/sound/isa/Kconfig	2005-07-25 19:58:08.000000000 -0700
@@ -15,7 +15,7 @@ config SND_CS4231_LIB
 
 config SND_AD1816A
 	tristate "Analog Devices SoundPort AD1816A"
-	depends on SND
+	depends on SND && PNP && ISA
 	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
@@ -81,7 +81,7 @@ config SND_CS4236
 
 config SND_ES968
 	tristate "Generic ESS ES968 driver"
-	depends on SND
+	depends on SND && PNP && ISA
 	select ISAPNP
 	select SND_MPU401_UART
 	select SND_PCM
@@ -162,7 +162,7 @@ config SND_GUSMAX
 
 config SND_INTERWAVE
 	tristate "AMD InterWave, Gravis UltraSound PnP"
-	depends on SND
+	depends on SND && PNP && ISA
 	select SND_RAWMIDI
 	select SND_CS4231_LIB
 	select SND_GUS_SYNTH
@@ -177,7 +177,7 @@ config SND_INTERWAVE
 
 config SND_INTERWAVE_STB
 	tristate "AMD InterWave + TEA6330T (UltraSound 32-Pro)"
-	depends on SND
+	depends on SND && PNP && ISA
 	select SND_RAWMIDI
 	select SND_CS4231_LIB
 	select SND_GUS_SYNTH
@@ -293,7 +293,7 @@ config SND_WAVEFRONT
 
 config SND_ALS100
 	tristate "Avance Logic ALS100/ALS120"
-	depends on SND
+	depends on SND && PNP && ISA
 	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
@@ -307,7 +307,7 @@ config SND_ALS100
 
 config SND_AZT2320
 	tristate "Aztech Systems AZT2320"
-	depends on SND
+	depends on SND && PNP && ISA
 	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
@@ -332,7 +332,7 @@ config SND_CMI8330
 
 config SND_DT019X
 	tristate "Diamond Technologies DT-019X, Avance Logic ALS-007"
-	depends on SND
+	depends on SND && PNP && ISA
 	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
_
